searchNodes=[{"doc":"This module provides the possibility to manage secrets and to watch for directory changes. It's aimed at managing secrets rotation (typically credentials written by Vault). Thus, it wraps secrets in closures to avoid leaking and use a constant-time comparison function to mitigate timing attacks. https://erlef.github.io/security-wg/secure_coding_and_deployment_hardening/sensitive_data https://erlef.github.io/security-wg/secure_coding_and_deployment_hardening/timing_attacks","ref":"SecretAgent.html","title":"SecretAgent","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"SecretAgent.html#child_spec/1","title":"SecretAgent.child_spec/1","type":"function"},{"doc":"Set the secret value of secret_name to :erased . If secret_name does not exist, nothing happen.","ref":"SecretAgent.html#erase_secret/2","title":"SecretAgent.erase_secret/2","type":"function"},{"doc":"Return the secret value (a closure or :erased ) corresponding to secret_name . As a best practice, the secret will be erased (as if called by erase_secret/2 ). You can override this behavior with the option erase: false .","ref":"SecretAgent.html#get_secret/3","title":"SecretAgent.get_secret/3","type":"function"},{"doc":"Set the secret value (wrapped in a closure) of secret_name . If secret_name does not exist, it's added to existing secrets.","ref":"SecretAgent.html#put_secret/3","title":"SecretAgent.put_secret/3","type":"function"},{"doc":"Start secret_agent as a linked process.","ref":"SecretAgent.html#start_link/1","title":"SecretAgent.start_link/1","type":"function"},{"doc":"This module provides a function to compare secrets in constant time to avoid timing attacks.","ref":"SecretAgent.Compare.html","title":"SecretAgent.Compare","type":"module"},{"doc":"Compares lhs and rhs binaries in constant time. Examples iex&gt; equal? ( &quot;abc&quot; , &quot;abc&quot; ) true iex&gt; equal? ( &quot;abc&quot; , &quot;abcd&quot; ) false","ref":"SecretAgent.Compare.html#equal?/2","title":"SecretAgent.Compare.equal?/2","type":"function"},{"doc":"secret_agent emits several telemetry events. Events [:secret_agent, :file_event] metadata :events the filesystem events :path path to the file with events [:secret_agent, :changed_secret] metadata :secret_filename filename of the secret that has changed [:secret_agent, :initial_loading] metadata :directory directory in which initial loading took place :secret_filename filename of the secret that has been loaded [:secret_agent, :unwatched_events] metadata :events the filesystem events that have been ignored :path path to the file with events","ref":"SecretAgent.Telemetry.html","title":"SecretAgent.Telemetry","type":"module"},{"doc":"Call this function to have events logged automatically.","ref":"SecretAgent.Telemetry.html#attach_logger/0","title":"SecretAgent.Telemetry.attach_logger/0","type":"function"}]